Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAbstractItemView.DropIndicatorPosition

    java.lang.Object
      java.lang.Enum<QAbstractItemView.DropIndicatorPosition>
          com.trolltech.qt.gui.QAbstractItemView.DropIndicatorPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractItemView.DropIndicatorPosition>

Enclosing class:
  QAbstractItemView

    public static enum QAbstractItemView.DropIndicatorPosition

extends java.lang.Enum<QAbstractItemView.DropIndicatorPosition>
implements QtEnumerator

This enum indicates the position of the drop indicator in relation to the index at the current mouse position.

Constant | Value | Description
--- | --- | ---
`OnItem` | `0` | The item will be dropped on the index.
`AboveItem` | `1` | The item will be dropped above the index.
`BelowItem` | `2` | The item will be dropped below the index.
`OnViewport` | `3` | The item will be dropped onto a region of the viewport with no items. The way each view handles items dropped onto the viewport depends on the behavior of the underlying model in use.

Enum Constant Summary
`AboveItem` The item will be dropped above the index.
`BelowItem` The item will be dropped below the index.
`OnItem` The item will be dropped on the index.
`OnViewport` The item will be dropped onto a region of the viewport with no items.

Method Summary
`static QAbstractItemView.DropIndicatorPosition` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemView.DropIndicatorPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractItemView.DropIndicatorPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OnItem

    public static final QAbstractItemView.DropIndicatorPosition OnItem

  The item will be dropped on the index.

### AboveItem

    public static final QAbstractItemView.DropIndicatorPosition AboveItem

  The item will be dropped above the index.

### BelowItem

    public static final QAbstractItemView.DropIndicatorPosition BelowItem

  The item will be dropped below the index.

### OnViewport

    public static final QAbstractItemView.DropIndicatorPosition OnViewport

  The item will be dropped onto a region of the viewport with no items. The way each view handles items dropped onto the viewport depends on the behavior of the underlying model in use.

Method Detail

### values

    public static final QAbstractItemView.DropIndicatorPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractItemView.DropIndicatorPosition c : QAbstractItemView.DropIndicatorPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractItemView.DropIndicatorPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractItemView.DropIndicatorPosition resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD